/*
 * Copyright 2020 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.apicatalog.rdf.io.error;

public class UnsupportedContentException extends Exception {

    private static final long serialVersionUID = -5086908507736739151L;

    private final String contenttYpe;

    public UnsupportedContentException(final String contentType) {
        super("Content '" + contentType + " is not supported.");
        this.contenttYpe = contentType;
    }

    public String getContentType() {
        return contenttYpe;
    }
}